Subject: [bitcoin-dev] Announcing My PhD Thesis: "Evolving Bitcoin Custody"

From: Jacob Swambo <[email-masked]>
Date: Thu, 19 Oct 2023 20:23:07 +0000

Hello Bitcoin Community,

I'm thrilled to share with you my PhD thesis titled "Evolving Bitcoin Custody," a deep-dive into the design and analysis of Bitcoin custody systems, exploring their evolution in the face of a constantly changing technological and threat landscape.

You can access the full thesis on ArXiv here: https://arxiv.org/abs/2310.11911

Your feedback and questions are not only welcomed but immensely appreciated. I'm looking forward to discussion and am excited to see how your inputs will shape the future of custody systems and covenants.

Bitcoin Covenants:

In my research, I've given particular attention to deleted-key covenants, aiming to harness what's feasible with the current state of Bitcoin. As we venture deeper into the realm of covenants, I advocate for a similar depth and rigor, if not more, for other covenant proposals that necessitate soft-forks. By adopting systematic specifications coupled with meticulous analysis, we're better positioned to identify and rectify potential pitfalls, thereby safeguarding users from undue risks.

A pressing concern I've identified pertains to coin-control challenges and the subsequent user experience hurdles they present. My observations suggest that addressing these effectively might necessitate more granular covenants, akin to the INSPECT_X implemented in the Liquid sidechain.

Ajolote Custody System:

The Ajolote custody system proposed is theoretical, serving as a case study illustrating how vault covenants can operate within a complete custody system design. It is not my expectation for it to be built but rather to be utilized as a conceptual framework for further discussions and developments in the field. In my opinion Ajolote as presented turned out to be too complicated for users, but I believe it's a useful case study that adds several insights to the ongoing debate on bitcoin covenants and vaults in particular. I hope in time we can use these ideas in realistic custody systems.

For Custody System Designers:

Custody system designers may find the approach to security analysis delineated in this thesis to be of notable value. The methodology employed not only addresses the multifaceted challenges faced by custody systems but also provides a structured framework for evaluating and enhancing them. I encourage designers to explore and possibly integrate this attack model and methodology into the security analysis of their respective systems, and I am open to discussions and collaborations in this domain.

Thank you for your time and consideration.

Best Regards,

Jacob Göker Swambo